Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 494542 - app-text/texlive should RDEPEND on dev-tex/biblatex
Summary: app-text/texlive should RDEPEND on dev-tex/biblatex
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: TeX project
URL:
Whiteboard:
Keywords:
: 746707 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-12-17 13:52 UTC by Yichao Zhou
Modified: 2020-10-05 11:04 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yichao Zhou 2013-12-17 13:52:27 UTC
If I install texlive 2012 from DVD, biblatex is will be installed.

But currently, biblatex is mark as unstable is not installed.
Comment 1 Erik Quaeghebeur 2018-07-21 15:50:07 UTC
(In reply to Yichao Zhou from comment #0)
> If I install texlive 2012 from DVD, biblatex is will be installed.
> 
> But currently, biblatex is mark as unstable is not installed.
Currently only texlive 2017 is stable (or even in the tree; see <https://packages.gentoo.org/packages/app-text/texlive-core>). So please try that and report back.
Comment 2 Jonas Stein gentoo-dev 2019-05-03 07:32:52 UTC
It is still the same situation with recent texlive

tested by asking our chatbot wilikins
!rdep dev-tex/biblatex

I think dev-tex/biblatex should not be a hard RDEPEND for app-text/texlive, because many users can work without it.
For example if you need app-text/texlive as renderer for TeX support in Inkscape.
Comment 3 Alexis Ballier gentoo-dev 2020-10-05 11:04:06 UTC
*** Bug 746707 has been marked as a duplicate of this bug. ***